import SerializedHighlight from './SerializedHighlight';
export declare const FOCUS_CSS = "focus";
export interface IHighlightData {
    style?: string;
    id: string;
    content: string;
}
export default class Highlight {
    readonly id: string;
    readonly content: string;
    elements: HTMLElement[];
    readonly range: Range;
    private data;
    private _elements;
    constructor(range: Range, data: Pick<IHighlightData, Exclude<keyof IHighlightData, 'id'>> & Partial<Pick<IHighlightData, 'id'>>);
    setStyle(style: string): void;
    getStyle(): string | undefined;
    removeStyle(): void;
    isAttached(): boolean;
    scrollTo(handler?: (elements: HTMLElement[]) => void): Highlight;
    focus(): Highlight;
    intersects(range: Range): boolean;
    serialize(referenceElement?: HTMLElement): SerializedHighlight;
    private loadStyle;
}
