"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Highlight_1 = require("./Highlight");
const serializationStrategies_1 = require("./serializationStrategies");
const XpathRangeSelector_1 = require("./serializationStrategies/XpathRangeSelector");
class SerializedHighlight {
    constructor(data) {
        this._data = data;
        this.deserializer = serializationStrategies_1.getDeserializer(data);
    }
    get data() {
        return this._data;
    }
    get id() {
        return this.data.id;
    }
    get content() {
        return this.data.content;
    }
    isLoadable(highlighter) {
        return this.deserializer.isLoadable(highlighter);
    }
    load(highlighter) {
        const range = this.deserializer.load(highlighter);
        return new Highlight_1.default(range, this.data);
    }
}
SerializedHighlight.defaultSerializer = XpathRangeSelector_1.serialize;
exports.default = SerializedHighlight;
//# sourceMappingURL=SerializedHighlight.js.map